# ``twisted`.`web`.`iweb`.`IAccessLogFormatter``

interface documentation

`class IAccessLogFormatter(Interface): (source)`

View In Hierarchy

An object which can represent an HTTP request as a line of text for inclusion in an access log file.

Method | `__call__` | Generate a line for the access log.

def __call__(timestamp, request): (source)
Generate a line for the access log.

Parameters
timestamp:`unicode` | The time at which the request was completed in the standard format for access logs.
request:`twisted.web.server.Request` | The request object about which to log.
Returns
`unicode` | One line describing the request without a trailing newline.